# Uses of Annotation Interface
java.lang.SafeVarargs

Packages that use SafeVarargs
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of SafeVarargs in java.util

Methods in java.util with annotations of type SafeVarargs
Modifier and Type
Method
Description
`static <T> boolean`
Collections.`addAll​(Collection<? super T> c, T... elements)`
Adds all of the specified elements to the specified collection.
`static <T> List<T>`
Arrays.`asList​(T... a)`
Returns a fixed-size list backed by the specified array.
`static <E extends Enum<E>>
EnumSet<E>`
EnumSet.`of​(E first, E... rest)`
Creates an enum set initially containing the specified elements.
`static <E> List<E>`
List.`of​(E... elements)`
Returns an unmodifiable list containing an arbitrary number of elements.
`static <E> Set<E>`
Set.`of​(E... elements)`
Returns an unmodifiable set containing an arbitrary number of elements.
`static <K,​ V> Map<K,​V>`
Map.`ofEntries​(Map.Entry<? extends K,​? extends V>... entries)`
Returns an unmodifiable map containing keys and values extracted from the given entries.

## Uses of SafeVarargs in java.util.stream

Methods in java.util.stream with annotations of type SafeVarargs
Modifier and Type
Method
Description
`static <T> Stream<T>`
Stream.`of​(T... values)`
Returns a sequential ordered stream whose elements are the specified values.

## Uses of SafeVarargs in javax.swing

Methods in javax.swing with annotations of type SafeVarargs
Modifier and Type
Method
Description
`protected void`
SwingWorker.`publish​(V... chunks)`
Sends data chunks to the `SwingWorker.process(java.util.List<V>)` method.